Page MenuHomePhabricator

Special:Newsletters should have a help link to Help:Extension:Newsletter
Closed, ResolvedPublic

Description

Summary
When viewing the list of Newsletters on a wiki the software should provide a help link to the help documentation at Help:Extension:Newsletter

Description
User-facing documentation best practices indicate that the software interface should link to help documentation when possible. A consistent way of doing this in MediaWiki is by providing a "mw-indicator-mw-helplink" on the Special: page like Special:Search, Special:Upload, etc.

This applies to all Newsletter interfaces, not just the main listing. The pages for announcing and creating new newsletters in particular would benefit from references to help documentation.

Mockup
See the upper right "?" Help link in this LTR mockup

Event Timeline

Ckoerner created this task.Nov 20 2017, 6:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 20 2017, 6:28 PM
Chicocvenancio renamed this task from Speical:Newsletters should have a help link to Help:Extension:Newsletter to Special:Newsletters should have a help link to Help:Extension:Newsletter.Nov 20 2017, 6:42 PM
Ckoerner updated the task description. (Show Details)Nov 20 2017, 6:45 PM
QuimGil triaged this task as Normal priority.Nov 21 2017, 9:57 AM
QuimGil added a project: Google-Code-in-2017.
QuimGil added a subscriber: QuimGil.

Totally, thank you very much.

Who would/could mentor this for Google-Code-in-2017 ?

Could help mentor this but not solely. @01tonythomas or @Florian or @Bawolff are any of you interested?

Imported to GCI, will be made available later in the contest when all mentors are available.

I would like to mentor this task together with @MtDu :)

divadsn claimed this task.Dec 18 2017, 9:36 PM
divadsn added a subscriber: divadsn.

Working on that right now :)

Change 399150 had a related patch set uploaded (by Divadsn; owner: Divadsn):
[mediawiki/extensions/Newsletter@master] Add help link to special pages

https://gerrit.wikimedia.org/r/399150

Change 399150 merged by jenkins-bot:
[mediawiki/extensions/Newsletter@master] Add help link to special pages

https://gerrit.wikimedia.org/r/399150

Florian closed this task as Resolved.Dec 20 2017, 5:57 PM